aboutsummaryrefslogtreecommitdiff
path: root/sci
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:47:49 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:47:49 +0000
commitdf7f280544da94c4067e7748974076adb4b03f93 (patch)
tree01ea200959a30ac48b0a8016a087e458864c9a4a /sci
parent7e673fa0af3bc487acfb41d9cb551b2fa146b9f7 (diff)
downloadslackbuilds-df7f280544da94c4067e7748974076adb4b03f93.tar.gz
slackbuilds-df7f280544da94c4067e7748974076adb4b03f93.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@673 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sci')
-rwxr-xr-xsci/grace/grace.SlackBuild228
-rw-r--r--sci/grace/slack-required3
-rwxr-xr-xsci/libs/fftw/fftw.SlackBuild123
-rwxr-xr-xsci/scilab/scilab.SlackBuild252
4 files changed, 606 insertions, 0 deletions
diff --git a/sci/grace/grace.SlackBuild b/sci/grace/grace.SlackBuild
new file mode 100755
index 00000000..2431aa6e
--- /dev/null
+++ b/sci/grace/grace.SlackBuild
@@ -0,0 +1,228 @@
+#!/bin/bash
+#
+# slackbuild for lame, by Rudson R. Alves
+# requires: none
+# tested: grace
+
+CWD=`pwd`
+
+if [ -e "/root/.slackbuildrc" ]; then
+ source /root/.slackbuildrc
+elif [ -e "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+# -------- Variáveis de controle de versão --------------
+# Nome da fonte para a qual o slackbuild foi construído e
+# o seu md5sum
+SRC_ORIG="grace-5.1.20.tar.gz"
+MD5_ORIG="37bdb28b9e30b8e5061ed3f8e0ab9168"
+PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\1/'`
+VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\2/'`
+ EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\3/'`
+
+# ------- Códigos de erro para o createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+# --------- Inicializa variáveis de entrada -------------
+PACKAGE=$PACKAGE_ORIG
+ARCH=${ARCH:=i468}
+VERSION=$VERSION_ORIG
+SRC_DIR=${SRC:=$CWD}
+SRC=$PACKAGE-$VERSION.$EXTENSION
+BUILD=${BUILD:=1rud}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/opt}
+OPTCONF=${OPTCONF:=""}
+MD5=${MD5:=$MD5_ORIG}
+URL=${URL:="ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/$SRC"}
+
+# ---------------- SlackBuild Help ----------------------
+if [ "$1" = "--help" -o "$1" = "help" ]; then
+ echo -e "\033[01;32m
+Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
+where:
+ ARCH=machine arch (i386, i486, i686, ...)
+ VERSION=package version
+ BUILD=package build version (default 1rud)
+ SRC_DIR=source directory (default $PWD)
+ TMP=temporary directory (default /tmp)
+ REPOS=repository directory
+ PREFIX=prefix from install package
+ OPTCONF=options to pass from ./configure. To configure
+ help, use OPTCONF=\"--help\"
+ MD5=md5sum from package source
+ URL=url from package source
+\033[m"
+ exit $ERROR_HELP
+fi
+
+# ---------------- Download fontes ----------------------
+# Fonte a ser compilada, com o path
+SOURCE=$SRC_DIR/$PACKAGE/$SRC
+# Verifica existência do pacote $SRC em $SRC_DIR
+if [ ! -e $SOURCE ]; then
+ echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
+ wget "$URL" -P "$SRC_DIR/$PACKAGE/"
+ # Verifica se o
+ if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
+ exit $ERROR_WGET
+ fi
+fi
+
+# ------------------ Checa md5sum -----------------------
+if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
+ SUM=`md5sum $SOURCE | awk '{print $1}'`
+ if [ "$SUM" != "$MD5" ]; then
+ echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
+ echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
+ exit $ERROR_MD5
+ fi
+ echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
+fi
+
+# ----------------- ARCH e LIBDIR -----------------------
+# Libdir, para arch x86_64
+LIBDIR=$PREFIX/lib
+# Seleciona flags para o compilador
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# -------------- Desempacota fontes ---------------------
+# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
+PKG_SRC=$TMP/$PACKAGE-source
+rm -rf $PKG_SRC 2>/dev/null
+mkdir -p $PKG_SRC
+# Desempacota $SOURCE em $TMP/$PACKAGE-source
+tar xvf $SOURCE -C $PKG_SRC
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
+ exit $ERROR_TAR
+fi
+# Pega o nome do diretório das fontes independente de sua
+# estrutura (package-version...)
+PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
+cd $PKG_DIR
+
+# -------------- Configura programa ---------------------
+# Configura programa
+echo -e "\n\n\033[01;32m CFLAGS=\"$SLKCFLAGS\" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF \n\033[m"
+CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF
+if [ $? -ne 0 -o "$OPTCONF" = "--help" ]; then
+ echo -e "\n\n\033[01;31m Configure error \n\033[m"
+ exit $ERROR_CONF
+fi
+
+# ---------------- Compila programa ---------------------
+echo -e "\n\n\033[01;32m make all \n\033[m"
+make
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m Build error \n\033[m"
+ exit $ERROR_MAKE
+fi
+
+# ------------- Diretório Temporário --------------------
+# Cria diretório temporário para construção do pacote
+PKG=$TMP/$PACKAGE
+rm -rf $PKG
+mkdir -p $PKG
+
+# --------------- Instala programa ----------------------
+# Instala programa em diretório temporário
+echo -e "\n\n\033[01;32m make install DESTDIR=$PKG \n\033[m"
+make install DESTDIR=$PKG
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m Install error \n\033[m"
+ exit $ERROR_INSTALL
+fi
+
+# ------------ Cria links e instala manuais -------------
+# Links
+mkdir -p $PKG/usr/bin
+for i in convcal fdf2fit grconvert xmgrace; do
+ ln -s $PREFIX/$PACKAGE/bin/$i /usr/bin/$i
+done
+
+# Manuais
+mkdir -p $PKG/usr/man/man1
+cp $PKG_DIR/doc/*.1 $PKG/usr/man/man1/
+gzip $PKG/usr/man/man1/*
+
+# Cria grace.desktop
+mkdir -p $PKG/usr/share/applications
+cat << EOF_KDE > $PKG/usr/share/applications/Grace.desktop
+[Desktop Entry]
+Encoding=UTF-8
+Categories=Graphics;
+Exec=xmgrace
+Icon=$PREFIX/$PACKAGE/doc/mygraph.png
+StartupNotify=true
+Terminal=false
+Type=Application
+Name=Grace
+GenericName=Grace
+Comment=
+EOF_KDE
+
+# ----------------- Stripa código -----------------------
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# ---------------- Cria slack-desc ----------------------
+mkdir $PKG/install
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |--------handy-ruler-----------------------------------------------------|
+grace: Package Grace $VERSION, by Rudson R. Alves
+grace:
+grace: Grace is a WYSIWYG 2D plotting tool for the X Window System and M*tif.
+grace: Grace runs on practically any version of Unix-like OS. As well, it has
+grace: been successfully ported to VMS, OS/2, and Win9*/NT/2000/XP (some minor
+grace: functionality may be missing, though).
+grace:
+grace: Grace is a descendant of ACE/gr, also known as Xmgr.
+grace:
+grace:
+grace:
+EOF
+
+# ----------------- Documentações -----------------------
+# Criar diretório de documentação
+PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
+mkdir -p $PKG_DOC
+cp $PKG_DIR/{CHANGES,COPYRIGHT,ChangeLog,DEVELOPERS,LICENSE,README} $PKG_DOC
+
+# --------------- Constroi o pacote ---------------------
+echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+if [ $? -ne 0 ]; then
+ exit $ERROR_MKPKG
+fi
+
+# ----------- Remove arquivos temporários ---------------
+if [ "$CLEANUP" = "yes" ]; then
+ echo -e "\n\n\033[01;32m Remove files... \n\033[m"
+ rm -rf $PKG $PKG_SRC
+fi
diff --git a/sci/grace/slack-required b/sci/grace/slack-required
new file mode 100644
index 00000000..b601c2e5
--- /dev/null
+++ b/sci/grace/slack-required
@@ -0,0 +1,3 @@
+openmotif
+libpng
+fftw
diff --git a/sci/libs/fftw/fftw.SlackBuild b/sci/libs/fftw/fftw.SlackBuild
new file mode 100755
index 00000000..3acfcedb
--- /dev/null
+++ b/sci/libs/fftw/fftw.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/bash
+#
+# slackbuild script for fftw
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building fftw are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="fftw"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=3.1.2}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.fftw.org/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --enable-shared
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --enable-shared --enable-float
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+fftw: fftw (the fastest fourier transform in the west)
+fftw:
+fftw: FFTW is a C subroutine library for computing the discrete Fourier
+fftw: transform (DFT) in one or more dimensions, of arbitrary input size,
+fftw: and of both real and complex data (as well as of even/odd data, i.e.
+fftw: the discrete cosine/sine transforms or DCT/DST). We believe that FFTW,
+fftw: which is free software, should become the FFT library of choice for
+fftw: most applications.
+fftw:
+fftw:
+fftw:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS CONVENTIONS COPYING COPYRIGHT ChangeLog INSTALL NEWS README TODO; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/sci/scilab/scilab.SlackBuild b/sci/scilab/scilab.SlackBuild
new file mode 100755
index 00000000..6f52f318
--- /dev/null
+++ b/sci/scilab/scilab.SlackBuild
@@ -0,0 +1,252 @@
+#!/bin/bash
+#
+# slackbuild for lame, by Rudson R. Alves
+# requires: none
+# tested: scilab-4.0
+
+CWD=`pwd`
+
+if [ -e "/root/.slackbuildrc" ]; then
+ source /root/.slackbuildrc
+elif [ -e "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+# -------- Variáveis de controle de versão --------------
+# Nome da fonte para a qual o slackbuild foi construído e
+# o seu md5sum
+SRC_ORIG="scilab-4.0-src.tar.gz"
+MD5_ORIG="26e1c1480453bb1021bcea3ac412ad19"
+PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-src\.(.*\..*)$/\1/'`
+VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-src\.(.*\..*)$/\2/'`
+ EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-src\.(.*\..*)$/\3/'`
+
+# ------- Códigos de erro para o createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+# --------- Inicializa variáveis de entrada -------------
+PACKAGE=$PACKAGE_ORIG
+ARCH=${ARCH:=i468}
+SRC_DIR=${SRC:=$CWD}
+VERSION=${VERSION:=$VERSION_ORIG}
+SRC=$PACKAGE-$VERSION-src.$EXTENSION
+BUILD=${BUILD:=1rud}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+OPTCONF=${OPTCONF:=""}
+MD5=${MD5:=$MD5_ORIG}
+URL=${URL:="http://www.scilab.org/download/stable/$SRC"}
+
+# ---------------- SlackBuild Help ----------------------
+if [ "$1" = "--help" -o "$1" = "help" ]; then
+ echo -e "\033[01;32m
+Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
+where:
+ ARCH=machine arch (i386, i486, i686, ...)
+ VERSION=package version
+ BUILD=package build version (default 1rud)
+ SRC=source name of package
+ SRC_DIR=source directory (default $PWD)
+ TMP=temporary directory (default /tmp)
+ REPOS=repository directory
+ PREFIX=prefix from install package
+ OPTCONF=options to pass from ./configure. To configure
+ help, use OPTCONF=\"--help\"
+ MD5=md5sum from package source
+ URL=url from package source
+\033[m"
+ exit $ERROR_HELP
+fi
+
+# ---------------- Download fontes ----------------------
+# Fonte a ser compilada, com o path
+SOURCE=$SRC_DIR/$PACKAGE/$SRC
+# Verifica existência do pacote em $SRC em $SRC_DIR
+if [ ! -e $SOURCE ]; then
+ echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
+ wget "$URL" -P "$SRC_DIR/$PACKAGE/"
+ # Verifica se o
+ if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
+ exit $ERROR_WGET
+ fi
+fi
+
+# ------------------ Checa md5sum -----------------------
+if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
+ SUM=`md5sum $SOURCE | awk '{print $1}'`
+ if [ "$SUM" != "$MD5" ]; then
+ echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
+ echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
+ exit $ERROR_MD5
+ fi
+ echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
+fi
+
+# ----------------- ARCH e LIBDIR -----------------------
+# Libdir, para arch x86_64
+LIBDIR=$PREFIX/lib
+# Seleciona flags para o compilador
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# -------------- Desempacota fontes ---------------------
+# Desempacota fontes em $TMP/$PACKAGE-source
+PKG_SRC=$TMP/$PACKAGE-source
+rm -rf $PKG_SRC 2>/dev/null
+mkdir -p $PKG_SRC
+# Desempacota $SOURCE em $TMP/$PACKAGE-source
+tar xvf $SOURCE -C $PKG_SRC
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
+ exit $ERROR_TAR
+fi
+# Pega o nome do diretório das fontes independente de sua
+# estrutura (package-version...)
+PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
+cd $PKG_DIR
+
+# -------------- Configura programa ---------------------
+# Configura programa
+echo -e "\n\n\033[01;32m CFLAGS=\"$SLKCFLAGS\" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF \n\033[m"
+CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF
+if [ $? -ne 0 -o "$OPTCONF" = "--help" ]; then
+ echo -e "\n\n\033[01;31m Configure error \n\033[m"
+ exit $ERROR_CONF
+fi
+
+# ---------------- Compila programa ---------------------
+echo -e "\n\n\033[01;32m make all \n\033[m"
+make all
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m Build error \n\033[m"
+ exit $ERROR_MAKE
+fi
+
+# ------------- Diretório Temporário --------------------
+# Cria diretório temporário para construção do pacote
+PKG=$TMP/$PACKAGE
+rm -rf $PKG
+mkdir -p $PKG
+
+# --------------- Instala programa ----------------------
+# Instala programa em diretório temporário
+echo -e "\n\n\033[01;32m Install in $PKG \n\033[m"
+mkdir -p $PKG/$LIBDIR
+cp -pr $PKG_SRC/* $PKG/$LIBDIR/
+rm -rf $PKG/$LIBDIR/$PACKAGE-$VERSION/Perl
+rm -rf $PKG/$LIBDIR/$PACKAGE-$VERSION/Win-util
+rm -rf $PKG/$LIBDIR/$PACKAGE-$VERSION/intersci
+rm -rf $PKG/$LIBDIR/$PACKAGE-$VERSION/lcc
+rm -rf $PKG/$LIBDIR/$PACKAGE-$VERSION/libs
+rm -rf $PKG/$LIBDIR/$PACKAGE-$VERSION/m4
+rm -rf $PKG/$LIBDIR/$PACKAGE-$VERSION/ocaml
+
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m Install error \n\033[m"
+ exit $ERROR_INSTALL
+fi
+
+# Refazendo links
+mkdir -p $PKG/$PREFIX/bin 2>/dev/null
+ln -s $LIBDIR/$PACKAGE-$VERSION/bin/intersci-n $PKG/$PREFIX/bin/intersci-n 2>/dev/null
+ln -s $LIBDIR/$PACKAGE-$VERSION/bin/scilab $PKG/$PREFIX/bin/scilab 2>/dev/null
+ln -s $LIBDIR/$PACKAGE-$VERSION/bin/intersci $PKG/$PREFIX/bin/intersci 2>/dev/null
+
+# Correção no index.html
+(
+ cd $PKG/$LIBDIR/$PACKAGE-$VERSION/man/eng/
+ eval "sed 's,${PKG_SRC},${PREFIX}/lib,g' index.htm > index.htm.new"
+ mv index.htm.new index.htm
+ cd ../fr
+ eval "sed 's,${PKG_SRC},${PREFIX}/lib,g' index.htm > index.htm.new"
+ mv index.htm.new index.htm
+)
+
+# Correção do script scilab
+(
+ pwd
+ cd $PKG/$LIBDIR/$PACKAGE-$VERSION/bin/
+ eval "sed 's,^SCI=\\\".*$,SCI=\\\"/usr/lib/$PACKAGE-$VERSION\\\",' scilab > scilab.new"
+ cp scilab.new scilab
+)
+
+# Cria Scilab.desktop
+mkdir -p $PKG/usr/share/applications/ 2>/dev/null
+cat << EOF_KDE > $PKG/usr/share/applications/Scilab.desktop
+[Desktop Entry]
+Encoding=UTF-8
+Categories=Education;Math;
+Exec=scilab
+Icon=/usr/lib/scilab-4.0/X11_defaults/scilab.xpm
+StartupNotify=true
+Terminal=false
+Type=Application
+Name=Scilab
+GenericName=Scilab
+Comment=
+EOF_KDE
+# ---------------------------------------------------------
+
+# ----------------- Stripa código -----------------------
+cd $PKG
+echo -e "\n\n\033[01;32m Striping code \n\033[m"
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2>/dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2>/dev/null
+
+# ---------------- Cria slack-desc ----------------------
+mkdir $PKG/install
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |--------handy-ruler-----------------------------------------------------|
+scilab: Scilab package by Rudson R. Alves <rudsonalves[a]yahoo.com.br>
+scilab:
+scilab: Scilab is a scientific software package for numerical computations
+scilab: providing a powerful open computing enviroanment for engineering and
+scilab: scientific applications. Developed since 1990 by researchers from
+scilab: INRIA and ENPC, it is now maintained and developed by Scilab
+scilab: Consortium since its creation in May 2003.
+scilab: Distributed freely and open source (see the license and the
+scilab: trademark license) via the Internet since 1994, Scilab is currently
+scilab: being used in educational and industrial environments around the
+scilab: world.
+EOF
+
+# ----------------- Documentações -----------------------
+# Criar diretório de documentação
+PKG_DOC=usr/doc/$PACKAGE-$VERSION
+mkdir -p $PKG_DOC
+cp $PKG_DIR/{ACKNOWLEDGEMENTS,CHANGES,README_Unix,README_Windows.txt,RELEASE_NOTES,Readme_Visual.txt,licence.txt,release_notes.txt} $PKG_DOC
+
+# --------------- Constroi o pacote ---------------------
+echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+if [ $? -ne 0 ]; then
+ exit $ERROR_MKPKG
+fi
+
+# ----------- Remove arquivos temporários ---------------
+if [ "$CLEANUP" == "yes" ]; then
+ echo -e "\n\n\033[01;32m Remove files... \n\033[m"
+ rm -rf $PKG $PKG_SRC
+fi